import { SliderProps } from "@react-types/slider";
export interface SliderState {
    readonly values: number[];
    getThumbValue: (index: number) => number;
    setThumbValue: (index: number, value: number) => void;
    setThumbPercent: (index: number, percent: number) => void;
    isThumbDragging: (index: number) => boolean;
    setThumbDragging: (index: number, dragging: boolean) => void;
    readonly focusedThumb: number | undefined;
    setFocusedThumb: (index: number | undefined) => void;
    getThumbPercent: (index: number) => number;
    getValuePercent: (value: number) => number;
    getThumbValueLabel: (index: number) => string;
    getFormattedValue: (value: number) => string;
    getThumbMinValue: (index: number) => number;
    getThumbMaxValue: (index: number) => number;
    getPercentValue: (percent: number) => number;
    isThumbEditable: (index: number) => boolean;
    setThumbEditable: (index: number, editable: boolean) => void;
    readonly step: number;
}
export const DEFAULT_MIN_VALUE = 0;
export const DEFAULT_MAX_VALUE = 100;
export const DEFAULT_STEP_VALUE = 1;
export function useSliderState(props: SliderProps): SliderState;

//# sourceMappingURL=types.d.ts.map
